# Record TCefResourceBundle

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefResourceBundle = record`

## Description

Structure used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefResourceBundle.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_capi.h">CEF source file: /include/capi/cef_resource_bundle_capi.h (cef_resource_bundle_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_localized_string: function(self: PCefResourceBundle; string_id: Integer): PCefStringUserFree; stdcall;`
| `get_data_resource: function(self: PCefResourceBundle; resource_id: Integer): PCefBinaryValue; stdcall;`
| `get_data_resource_for_scale: function(self: PCefResourceBundle; resource_id: Integer; scale_factor: TCefScaleFactor): PCefBinaryValue; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_localized_string: function(self: PCefResourceBundle; string_id: Integer): PCefStringUserFree; stdcall;`
This item has no description.

| `get_data_resource: function(self: PCefResourceBundle; resource_id: Integer): PCefBinaryValue; stdcall;`
This item has no description.

| `get_data_resource_for_scale: function(self: PCefResourceBundle; resource_id: Integer; scale_factor: TCefScaleFactor): PCefBinaryValue; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.